﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class AdminListUsers : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Helpers.checkAdminAccess())
        {
            LabelBreadCrumb.Text = "Breast Care Registry Administration > List Users";
            HiddenFieldRegistryName.Value = Helpers.GetConfigEntry("Registry");
        }
        else
        {
            Response.Redirect("ErrorPage.aspx?id=100");
        }
    }

    public override string MenuItemName()
    {
        return "List Users";
    }

    public override string AppObjectCode()
    {
        return "BCCCR ADMIN LIST USERS";
    }

    public override string TopMenuName()
    {
        return "Administration";
    }

    protected void ButtonClear_Click(object sender, EventArgs e)
    {
        this.TextBoxSearchCriteria.Text = "";
    }
}
