﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="AdhocReportingDashboard.aspx.cs" Inherits="Reports_AdhocReportingDashboard" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../scripts/jQueryUI/jquery-ui.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.structure.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.theme.css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            $(function () {
                $("#dialog").dialog(
                    {
                        autoOpen: false,
                        height: 300,
                        width: 350,
                        modal: true
                    });

                $('#txtCustomName').on('keypress', function (event) {
                    var regex = new RegExp("^[a-zA-Z0-9_ -]+$");
                    var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
                    if (!regex.test(key)) {
                        event.preventDefault();
                        return false;
                    }
                });
            });

            function getCustomReportName(uniqueID) {
                $('#dialog').dialog('option', 'buttons',
                {
                    "OK": function () {
                        $("#<%=hfCustomReportName.ClientID%>").val($("#txtCustomName").val());

                        __doPostBack(uniqueID, '');
                        $(this).dialog("close");

                        $("#txtCustomName").val('<%=reportName%>');
                    },
                    "Cancel": function () { $(this).dialog("close"); }
                });

                $('#dialog').dialog('open');

                return false;
            }

            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }
        </script>
    </telerik:RadCodeBlock>

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 250px; vertical-align: top; background-color: #F5F5F5;">
                <telerik:RadButton ID="btnCreateNewTemplate" runat="server" Text="Create New Report Template" OnClick="btnCreateNewTemplate_Click" TabIndex="0" />
                <br />
                <br />
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <table style="width:100%;">
                    <tr>
                        <td style="width:50%; text-align:left; vertical-align:top;">&nbsp;</td>
                        <td style="width:50%; text-align:right; vertical-align:top;">
                            Data Last Refreshed: <asp:Label ID="lblLastRefreshDate" runat="server" Text="" />
                        </td>
                    </tr>
                </table>
                <table style="width: 100%;">
                    <tr>
                        <td style="min-height: 100px; vertical-align: top;">My Templates
                            <br />

                            <telerik:RadGrid ID="rgMyTemplates" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true"
                                TabIndex="0" OnNeedDataSource="rgMyTemplates_NeedDataSource" OnItemDataBound="rgMyTemplates_ItemDataBound" OnItemCreated="rgMyTemplates_ItemCreated" ClientSettings-ClientEvents-OnCommand="ShowProgress"
                                OnItemCommand="rgMyTemplates_ItemCommand">
                                <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None" PagerStyle-AlwaysVisible="true"
                                    TabIndex="0" Width="100%" PageSize="10" ShowHeadersWhenNoRecords="true" ItemStyle-Wrap="true" DataKeyNames="ID, IsSystemTemplate, UserID">
                                    <NoRecordsTemplate>
                                        <table>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                        Currently, no templates exist in the system for the current user.  Click the "Create New Report Template" button on the left to get started.
                                                    </asp:Label></td>
                                            </tr>
                                        </table>
                                    </NoRecordsTemplate>
                                    <SortExpressions>
                                        <%--<telerik:GridSortExpression FieldName="ReportName" SortOrder="Ascending" />--%>
                                    </SortExpressions>
                                    <ColumnGroups>
                                    </ColumnGroups>
                                    <Columns>
                                        <telerik:GridButtonColumn ButtonType="LinkButton" Text="Clone" UniqueName="CloneButtonGUI" CommandName="CloneReport" Exportable="false" HeaderText="Clone"
                                            HeaderTooltip="Click to Clone/Copy the selected system template." />

                                        <telerik:GridButtonColumn ButtonType="LinkButton" Text="Edit" UniqueName="EditButtonGUI" CommandName="EditReport" Exportable="false" HeaderText="Edit"
                                            HeaderTooltip="Click to Edit the selected template." />

                                        <telerik:GridButtonColumn ButtonType="LinkButton" Text="Delete" UniqueName="DeleteButtonGUI" CommandName="DeleteReport" Exportable="false" HeaderText="Delete"
                                            HeaderTooltip="Click to Delete the selected template." ConfirmText="Are you sure you would like to delete this record?" />

                                        <telerik:GridTemplateColumn DataField="ReportName" SortExpression="ReportName" UniqueName="ReportName_Rpt" HeaderText="Report Name" HeaderTooltip="Report Name Column"
                                            HeaderButtonType="None" AllowFiltering="false" Exportable="true" ShowFilterIcon="false" Aggregate="None">
                                            <ItemTemplate>
                                                <%# ((bool)Eval("IsSystemTemplate") ? ("<strong>" + Eval("ReportName") + " (System Template)</strong>") : Eval("ReportName") )%>
                                            </ItemTemplate>
                                        </telerik:GridTemplateColumn>
                                        <%--<telerik:GridBoundColumn DataField="ReportName" UniqueName="ReportName_Report" HeaderText="Report Name"
                                            HeaderTooltip="Report Name Column" HeaderButtonType="None" AllowFiltering="false" />--%>

                                        <telerik:GridBoundColumn DataField="CreatedDate" UniqueName="CreatedDate_Report" HeaderText="Created Date"
                                            HeaderTooltip="Created Date Column" HeaderButtonType="None" AllowFiltering="false" />

                                        <telerik:GridBoundColumn DataField="UpdatedDate" UniqueName="UpdatedDate_Report" HeaderText="Updated Date"
                                            HeaderTooltip="Updated Date Column" HeaderButtonType="None" AllowFiltering="false" />

                                        <telerik:GridBoundColumn DataField="LastExecutionDate" UniqueName="LastExecution_Report" HeaderText="Last Executed"
                                            HeaderTooltip="Last Execution Date Column" HeaderButtonType="None" AllowFiltering="false" />

                                        <telerik:GridButtonColumn ButtonType="LinkButton" Text="Execute" CommandName="ExecuteReport" Exportable="false" HeaderText="Execute"
                                            HeaderTooltip="Click the execute option to run the selected template." />
                                    </Columns>
                                </MasterTableView>
                                <ClientSettings AllowKeyboardNavigation="true">
                                    <Selecting AllowRowSelect="true" />
                                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                                </ClientSettings>
                                <FilterMenu OnClientShowing="MenuShowing" />
                                <PagerStyle Mode="NextPrevAndNumeric" />
                            </telerik:RadGrid>
                        </td>
                    </tr>
                    <tr>
                        <td style="vertical-align: top;">Preview Area
                            <br />

                            <asp:HiddenField ID="hfCustomReportName" runat="server" />
                            <asp:HiddenField ID="hfExportWhere" runat="server" />

                            <asp:Panel ID="pnlPreviewArea" runat="server" Visible="false">

                                <div style="text-align: right; font-size: 10pt;">
                                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" Font-Size="10pt" />
                                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" Font-Size="10pt" />
                                </div>

                                <div style="background-color: #F5F5F5; padding: 5px;">
                                    <!--Start Export Buttons -->
                                    Export Options: 
                                    <asp:Button runat="server" ID="Button1" Text="Export to Excel" CommandName="XLS" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                                    <asp:Button runat="server" ID="Button2" Text="Export to CSV" CommandName="CSV" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                                    <asp:Button runat="server" ID="Button3" Text="Export to PDF" CommandName="PDF" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" Visible="true" />
                                    <asp:Button runat="server" ID="Button4" Text="Export to Word" CommandName="DOC" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                                    <!--End Export Buttons -->
                                </div>
                                <br />
                                <!--Start Grid-->
                                <asp:HiddenField ID="hfReportId" runat="server" />
                                <asp:HiddenField ID="hfCustomSortApplied" runat="server" Value="0" />

                                <telerik:RadGrid ID="rgResults" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true"
                                    TabIndex="0" OnNeedDataSource="rgResults_NeedDataSource" OnItemDataBound="rgResults_ItemDataBound" OnItemCreated="rgResults_ItemCreated" OnSortCommand="rgResults_SortCommand">
                                    <MasterTableView AutoGenerateColumns="true" AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None" PagerStyle-AlwaysVisible="true"
                                        TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true" ItemStyle-Wrap="true" AllowMultiColumnSorting="false" AllowCustomSorting="true">
                                        <NoRecordsTemplate>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                No Records <%--Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button--%>
                                                        </asp:Label></td>
                                                </tr>
                                            </table>
                                        </NoRecordsTemplate>
                                        <SortExpressions>
                                        </SortExpressions>
                                        <ColumnGroups>
                                        </ColumnGroups>
                                        <Columns>
                                        </Columns>
                                    </MasterTableView>
                                    <ClientSettings AllowKeyboardNavigation="true">
                                        <Selecting AllowRowSelect="true" />
                                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                                    </ClientSettings>
                                    <FilterMenu OnClientShowing="MenuShowing" />
                                    <PagerStyle Mode="NextPrevAndNumeric" />
                                </telerik:RadGrid>
                                <!--End Grid-->
                            </asp:Panel>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" alt="Loading Image" />
    </div>

    <div id="dialog" title="Enter Custom Name for Report:">
        <p>
            Please enter a custom name for report or leave default:<br />
            <input type="text" id="txtCustomName" value="<%=reportName%>" style="width:100%;" />
        </p>
    </div>

</asp:Content>
