﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.BusinessManager;

public partial class Dashboard : BasePage
{
    #region Intialize Variables
    private string _userId;
    private UserAccountManager _user;
    private Reports r;
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        LabelBreadCrumb.Text = "Breast Care Registry Dashboard";

        _user = (UserAccountManager)HttpContext.Current.User;
        _userId = _user.UserId.ToString();

        r = new Reports(_userId);
        HiddenFieldRegistryName.Value = Helpers.GetConfigEntry("Registry");

        EnableLinks();
    }

    public override string TopMenuName()
    {
        return "Reporting";
    }

    public override string MenuItemName()
    {
        return "Breast Care Registry DASHBOARD";
    }

    public override string AppObjectCode()
    {
        return "Breast Care Registry DASHBOARD";
    }

    private void EnableLinks()
    {
        ////bcr.AllMammogramsWithFollowUp_PD.Link
        //var turnOn = r.GetSetting("bcr.AllMammogramsWithFollowUp_PD.Link", _user.RegistryId);
        //if (turnOn != null && turnOn.ToString() == "1")
        //{
        //    MammogramFollowupLink.Visible = true;
        //    MammogramFollowup.Visible = false;
        //}
        //else
        //{
        //    MammogramFollowupLink.Visible = false;
        //    MammogramFollowup.Visible = true;
        //}

        ////bcr.AbnormalMammograms_Agg.Link
        //turnOn = r.GetSetting("bcr.AbnormalMammograms_Agg.Link", _user.RegistryId);
        //if (turnOn != null && turnOn.ToString() == "1")
        //{
        //    AbnormalMamAgg1.Visible = true;
        //    AbnormalMamAgg.Visible = false;
        //}
        //else
        //{
        //    AbnormalMamAgg1.Visible = false;
        //    AbnormalMamAgg.Visible = true;
        //}

        ////bcr.AllMammograms_Agg.Link
        //turnOn = r.GetSetting("bcr.AllMammograms_Agg.Link", _user.RegistryId);
        //if (turnOn != null && turnOn.ToString() == "1")
        //{
        //    AllMamAgg1.Visible = true;
        //    AllMamAgg.Visible = false;
        //}
        //else
        //{
        //    AllMamAgg1.Visible = false;
        //    AllMamAgg.Visible = true;
        //}

        ////bcr.BreastCancer_Agg.Link
        //turnOn = r.GetSetting("bcr.BreastCancer_Agg.Link", _user.RegistryId);
        //if (turnOn != null && turnOn.ToString() == "1")
        //{
        //    BreastCancerAgg1.Visible = true;
        //    BreastCancerAgg.Visible = false;
        //}
        //else
        //{
        //    BreastCancerAgg1.Visible = false;
        //    BreastCancerAgg.Visible = true;
        //}

        ////bcr.MammogramsDue_Agg.Link
        //turnOn = r.GetSetting("bcr.MammogramsDue_Agg.Link", _user.RegistryId);
        //if (turnOn != null && turnOn.ToString() == "1")
        //{
        //    MamDueAgg1.Visible = true;
        //    MamDueAgg.Visible = false;
        //}
        //else
        //{
        //    MamDueAgg1.Visible = false;
        //    MamDueAgg.Visible = true;
        //}

        ////bcr.MammogramsWithFollowUp_Agg.Link
        //turnOn = r.GetSetting("bcr.MammogramsWithFollowUp_Agg.Link", _user.RegistryId);
        //if (turnOn != null && turnOn.ToString() == "1")
        //{
        //    MamWithFollowupAgg1.Visible = true;
        //    MamWithFollowupAgg.Visible = false;
        //}
        //else
        //{
        //    MamWithFollowupAgg1.Visible = false;
        //    MamWithFollowupAgg.Visible = true;
        //}

        ////bcr.Adhoc.Link
        //turnOn = r.GetSetting("bcr.Adhoc.Link", _user.RegistryId);
        //if (turnOn != null && turnOn.ToString() == "1")
        //{
        //    AdHoc1.Visible = true;
        //    AdHoc.Visible = false;
        //}
        //else
        //{
        //    AdHoc1.Visible = false;
        //    AdHoc.Visible = true;
        //}
    }
}
