﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="MammogramCompliance_Agg_By_Race.aspx.cs" Inherits="Reports_MammogramCompliance_Agg_By_Race" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../scripts/jQueryUI/jquery-ui.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.structure.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.theme.css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">

    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            $(function () {
                $("#dialog").dialog(
                    {
                        autoOpen: false,
                        height: 300,
                        width: 350,
                        modal: true
                    });

                $('#txtCustomName').on('keypress', function (event) {
                    var regex = new RegExp("^[a-zA-Z0-9_ -]+$");
                    var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
                    if (!regex.test(key)) {
                        event.preventDefault();
                        return false;
                    }
                });
            });

            function getCustomReportName(uniqueID) {
                $('#dialog').dialog('option', 'buttons',
                {
                    "OK": function () {
                        $("#<%=hfCustomReportName.ClientID%>").val($("#txtCustomName").val());

                        __doPostBack(uniqueID, '');
                        $(this).dialog("close");

                        $("#txtCustomName").val('<%=reportName%>');
                    },
                    "Cancel": function () { $(this).dialog("close"); }
                });

                $('#dialog').dialog('open');

                return false;
            }

            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            function OnClientClicking(button, args) {
                window.location = button.get_navigateUrl();
                args.set_cancel(true);
            }

            function OnClientDropDownClosedHandler(sender, eventArgs) {
                var uniqueID = '<%=rcbVisn.ClientID%>';
                __doPostBack(uniqueID, '');
            }
        </script>
    </telerik:RadCodeBlock>

    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 300px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportTop" runat="server" Enabled="false" Text="Run Report" TabIndex="0" OnClick="btnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportTop" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN(s):" ToolTip="Select VISN(s) for report." AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" TabIndex="0" AutoPostBack="true" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" EmptyMessage="VISN Selection"
                        OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" OnClientDropDownClosed="OnClientDropDownClosedHandler" OnClientSelectedIndexChanged="ShowProgress" AccessibilityMode="true" ToolTip="VISN Selection" AccessKey="V" />
                    <br />
                    <br />

                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportBottom" runat="server" Enabled="false" Text="Run Report" TabIndex="0" OnClick="btnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportBottom" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%; text-align: left; vertical-align: top;">** MMG = Mammogram</td>
                        <td style="width: 50%; text-align: right; vertical-align: top;">Data Last Refreshed:
                            <asp:Label ID="lblLastRefreshDate" runat="server" Text="" />
                        </td>
                    </tr>
                </table>

                <asp:HiddenField ID="hfCustomReportName" runat="server" />

                <div style="text-align: right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgMammoCompliance" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="0" OnNeedDataSource="rgMammoCompliance_NeedDataSource" OnItemDataBound="rgMammoCompliance_ItemDataBound"
                    OnItemCreated="rgMammoCompliance_ItemCreated" ShowFooter="true" OnItemCommand="rgMammoCompliance_ItemCommand">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="Sta3n" ClientDataKeyNames="Sta3n" AllowMultiColumnSorting="false" AllowCustomSorting="false"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                        TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <ColumnGroups>
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridButtonColumn ButtonType="LinkButton" Text="View More" CommandName="Details" UniqueName="DetailButton" Exportable="false" HeaderText="Details"
                                HeaderTooltip="Click to view detailed information." />

                            <telerik:GridBoundColumn DataField="VistaName" UniqueName="VistaNameRpt" HeaderText="Facility Name" HeaderTooltip="Facility Name Column" 
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridBoundColumn DataField="Sta3n" UniqueName="Sta3nRpt" HeaderText="Facility ID" HeaderTooltip="Facility ID Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" />

                            <telerik:GridBoundColumn DataField="AMERICAN_INDIAN_OR_ALASKAN_NATIVE" UniqueName="AmericanIndianOrAlaskanNativeRpt" HeaderText="AMERICAN INDIAN OR ALASKAN NATIVE (%)" HeaderTooltip="AMERICAN INDIAN OR ALASKAN NATIVE Compliance Percentage Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" DataType="System.Decimal" DataFormatString="{0}%" Aggregate="None" />

                            <telerik:GridBoundColumn DataField="ASIAN_OR_PACIFIC_ISLANDER" UniqueName="AsianOrPacificIslanderRpt" HeaderText="ASIAN OR PACIFIC ISLANDER (%)" HeaderTooltip="ASIAN OR PACIFIC ISLANDER Compliance Percentage Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" DataType="System.Decimal" DataFormatString="{0}%" Aggregate="None" />

                            <telerik:GridBoundColumn DataField="BLACK" UniqueName="BlackRpt" HeaderText="BLACK (%)" HeaderTooltip="BLACK Compliance Percentage Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" DataType="System.Decimal" DataFormatString="{0}%" Aggregate="None" />

                            <telerik:GridBoundColumn DataField="HISPANIC" UniqueName="HispanicRpt" HeaderText="HISPANIC (%)" HeaderTooltip="HISPANIC Compliance Percentage Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" DataType="System.Decimal" DataFormatString="{0}%" Aggregate="None" />

                            <telerik:GridBoundColumn DataField="NATIVE_HAWAIIAN_OR_OTHER_PACIFIC_ISLANDER" UniqueName="NativeHawaiianRpt" HeaderText="NATIVE HAWAIIAN OR OTHER PACIFIC ISLANDER (%)" HeaderTooltip="NATIVE HAWAIIAN OR OTHER PACIFIC ISLANDER Compliance Percentage Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" DataType="System.Decimal" DataFormatString="{0}%" Aggregate="None" />

                            <telerik:GridBoundColumn DataField="UNKNOWN" UniqueName="UNKNOWNRpt" HeaderText="UNKNOWN (%)" HeaderTooltip="UNKNOWN Compliance Percentage Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" DataType="System.Decimal" DataFormatString="{0}%" Aggregate="None" />

                            <telerik:GridBoundColumn DataField="WHITE" UniqueName="WhiteRpt" HeaderText="WHITE (%)" HeaderTooltip="WHITE Compliance Percentage Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="true" DataType="System.Decimal" DataFormatString="{0}%" Aggregate="None" />
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <ClientEvents OnCommand="ShowProgress" />
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                    </ClientSettings>
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->
                <br />

            </td>
        </tr>
    </table>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" alt="Loading Image" />
    </div>

    <div id="dialog" title="Enter Custom Name for Report:">
        <p>
            Please enter a custom name for report or leave default:<br />
            <input type="text" id="txtCustomName" value="<%=reportName%>" style="width: 100%;" />
        </p>
    </div>

</asp:Content>