﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="MammogramCompliance_ByFacility_Agg_Rpt.aspx.cs" Inherits="Reports_MammogramCompliance_ByFacility_Agg_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../scripts/jQueryUI/jquery-ui.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.structure.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.theme.css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            $(function () {
                $("#dialog").dialog(
                    {
                        autoOpen: false,
                        height: 300,
                        width: 350,
                        modal: true
                    });

                $('#txtCustomName').on('keypress', function (event) {
                    var regex = new RegExp("^[a-zA-Z0-9_ -]+$");
                    var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
                    if (!regex.test(key)) {
                        event.preventDefault();
                        return false;
                    }
                });
            });

            function getCustomReportName(uniqueID) {
                $('#dialog').dialog('option', 'buttons',
                {
                    "OK": function () {
                        $("#<%=hfCustomReportName.ClientID%>").val($("#txtCustomName").val());

                        __doPostBack(uniqueID, '');
                        $(this).dialog("close");

                        $("#txtCustomName").val('<%=reportName%>');
                    },
                    "Cancel": function () { $(this).dialog("close"); }
                });

                $('#dialog').dialog('open');

                return false;
            }

            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            function OnClientClicking(button, args) {
                window.location = button.get_navigateUrl();
                args.set_cancel(true);
            }
        </script>
    </telerik:RadCodeBlock>
    
    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 300px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />

                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="rbtnRunReportTop" runat="server" Enabled="true" Text="Run Report" TabIndex="0" OnClick="rbtnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportTop" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />

                    <asp:Label runat="server" ID="rlbComplianceType" Text="Compliance Status:" ToolTip="Filter by Compliance Status" AssociatedControlID="rcbComplianceStatus" />
                    <br />
                    <telerik:RadComboBox ID="rcbComplianceStatus" runat="server" Width="100%" TabIndex="0" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="all" />
                            <telerik:RadComboBoxItem Text="Yes" Value="Y" />
                            <telerik:RadComboBoxItem Text="No" Value="N" />
                            <telerik:RadComboBoxItem Text="N/A" Value="NA" />
                        </Items>
                    </telerik:RadComboBox>

                    <br />
                    <br />

                    <asp:Label runat="server" ID="Label1" Text="Age Restriction:" AssociatedControlID="rddlAgeRestriction" />
                    <br />
                    <telerik:RadComboBox ID="rddlAgeRestriction" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="50-60" Value="50-60" />
                            <telerik:RadComboBoxItem Text="61-64" Value="61-64" />
                            <telerik:RadComboBoxItem Text="65-74" Value="65-74" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblRace" Text="Race:" AssociatedControlID="rcbRace" />
                    <br />
                    <telerik:RadComboBox ID="rcbRace" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="rbtnRunReport" runat="server" Enabled="true" Text="Run Report" TabIndex="0" OnClick="rbtnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReport" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%; text-align: left; vertical-align: top;">** MMG = Mammogram</td>
                        <td style="width: 50%; text-align: right; vertical-align: top;">Data Last Refreshed:
                            <asp:Label ID="lblLastRefreshDate" runat="server" Text="" />
                        </td>
                    </tr>
                </table>

                <asp:HiddenField ID="hfCustomReportName" runat="server" />

                <div style="text-align: right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgMammoCompliance" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="0" OnNeedDataSource="rgMammoCompliance_NeedDataSource" OnItemDataBound="rgMammoCompliance_ItemDataBound"
                    OnItemCreated="rgMammoCompliance_ItemCreated" ShowFooter="true" OnItemCommand="rgMammoCompliance_ItemCommand" OnSortCommand="rgMammoCompliance_SortCommand" 
                    OnPageIndexChanged="rgMammoCompliance_PageIndexChanged">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID" AllowMultiColumnSorting="false" AllowCustomSorting="true"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                        TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                            Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="Patient_Name" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                            <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                            <telerik:GridColumnGroup HeaderText="Mammogram" Name="last_mam" />
                            <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
                        </ColumnGroups>
                        <Columns>

                            <telerik:GridButtonColumn ButtonType="LinkButton" Text="Details" CommandName="Details" UniqueName="DetailButton" Exportable="false" HeaderText="Details"
                                HeaderTooltip="Click for patient details" />

                            <telerik:GridBoundColumn DataField="PCMMTeam" UniqueName="team_name_Report" HeaderText="PACT Team" HeaderTooltip="PACT Team Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="PCMMStaffName" UniqueName="ProviderName_Report" HeaderText="Provider Name" HeaderTooltip="Provider Name Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" EmptyDataText="Unassigned Provider" Exportable="true" HeaderStyle-Width="150px" />

                            <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name_Report" HeaderText="Last Name, First" HeaderTooltip="Patient Name Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="VAID" UniqueName="VAID_Report" HeaderText="VAID" HeaderTooltip="VAID" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridDateTimeColumn DataField="MammogramScreeningComplianceText" UniqueName="MammogramScreeningComplianceText_Report" HeaderText="Compliant" HeaderTooltip="Is Patient Compliant with their Mammograms"
                                ColumnGroupName="last_mam" AllowFiltering="false" HeaderButtonType="None" Exportable="true">
                            </telerik:GridDateTimeColumn>

                            <telerik:GridDateTimeColumn DataField="DateOFMostRecentMammogram" UniqueName="DateOFMostRecentMammogram_Report" HeaderText="Last MMG Date" HeaderTooltip="Last Mammogram Date"
                                ColumnGroupName="last_mam" SortExpression="DateOFMostRecentMammogram" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy hh:mm tt}" HeaderButtonType="None" Exportable="true">
                            </telerik:GridDateTimeColumn>

                            <%--<telerik:GridBoundColumn DataField="MostRecentMammogramSource" UniqueName="MostRecentMammogramSource_Report" HeaderText="Radiology Type" HeaderTooltip="Radiology Type Column" ColumnGroupName="last_mam"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" EmptyDataText="No Source" />--%>

                            <telerik:GridTemplateColumn DataField="BIRADScore" UniqueName="Bi_Rad_Code_Report" HeaderText="BI-RADS Code" HeaderTooltip="Last Mammogram BI-RADS Code Column" ColumnGroupName="last_mam"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" SortExpression="BIRADScore">
                                <ItemTemplate>
                                    <%#GetBiradScore(Eval("BIRADScore")) %>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridDateTimeColumn DataField="DateNextMammogramDue" UniqueName="DateNextMammogramDue_Report" HeaderText="Next MMG Due" HeaderTooltip="Next Mammogram Due Column"
                                ColumnGroupName="last_mam" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None" Exportable="true">
                            </telerik:GridDateTimeColumn>

                            <telerik:GridBoundColumn DataField="NofificationStatement" UniqueName="BB_NofificationStatement_Report" HeaderText="Follow Up Notification" HeaderTooltip="Follow Up Notification Column" 
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" Exportable="true" ColumnGroupName="last_mam" />
                            <telerik:GridTemplateColumn HeaderText="Follow Up Notification" HeaderTooltip="Follow Up Notification Column" DataField="NofificationStatement" SortExpression="NofificationStatement"
                                AllowFiltering="false" UniqueName="BB_NofificationStatement_GUI" HeaderButtonType="None" Exportable="false" ColumnGroupName="last_mam">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_NofificationStatement" runat="server" Text="Follow-Up Notification"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_NofificationStatement" runat="server" TargetControlID="lblBB_NofificationStatement" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                        <%# DataBinder.Eval(Container, "DataItem.NofificationStatement")%>
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="FollowUpActionStatement" UniqueName="BB_FollowUpActionStatement_Report" HeaderText="Follow Up Action" HeaderTooltip="Follow Up Action Column" 
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" Exportable="true" ColumnGroupName="last_mam" />
                            <telerik:GridTemplateColumn HeaderText="Follow Up Action" HeaderTooltip="Follow Up Action Column" DataField="FollowUpActionStatement" SortExpression="FollowUpActionStatement"
                                AllowFiltering="false" UniqueName="BB_FollowUpActionStatement_GUI" HeaderButtonType="None" Exportable="false" ColumnGroupName="last_mam">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_FollowUpActionStatement" runat="server" Text="Follow-Up Action"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_FollowUpActionStatement" runat="server" TargetControlID="lblBB_FollowUpActionStatement" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                        <%# DataBinder.Eval(Container, "DataItem.FollowUpActionStatement")%>
                                    </telerik:RadToolTip>&nbsp;
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="age" UniqueName="age_Report" HeaderText="Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="gender" UniqueName="gender_Report" HeaderText="Gender" HeaderTooltip="Gender Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Race" UniqueName="Race_Report" HeaderText="Race" HeaderTooltip="Race Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridTemplateColumn DataField="PhoneResidence" UniqueName="PhoneResidence_Report" HeaderText="Phone Numbers" HeaderTooltip="Available Patient Phone Numbers"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="false" Exportable="true" ShowSortIcon="false" ShowFilterIcon="false" ColumnGroupName="demo">
                                <ItemTemplate>
                                    <%# !String.IsNullOrEmpty(DataBinder.Eval(Container, "DataItem.PhoneResidence").ToString()) ? "Home: " + DataBinder.Eval(Container, "DataItem.PhoneResidence") + "<br />" : "" %>
                                    <%# !String.IsNullOrEmpty(DataBinder.Eval(Container, "DataItem.PhoneWork").ToString()) ? "Work: " + DataBinder.Eval(Container, "DataItem.PhoneWork") + "<br />" : "" %>
                                    <%# !String.IsNullOrEmpty(DataBinder.Eval(Container, "DataItem.PhoneCellular").ToString()) ? "Cell: " + DataBinder.Eval(Container, "DataItem.PhoneCellular") + "<br />" : "" %>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                        <ClientEvents OnCommand="ShowProgress" />
                    </ClientSettings>
                    <FilterMenu OnClientShowing="MenuShowing" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->

                <br />
                Possible refinement charts (age, race breakdowns).

                <br />
            </td>
        </tr>
    </table>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" alt="Loading Image" />
    </div>

    <div id="dialog" title="Enter Custom Name for Report:">
        <p>
            Please enter a custom name for report or leave default:<br />
            <input type="text" id="txtCustomName" value="<%=reportName%>" style="width:100%;" />
        </p>
    </div>

</asp:Content>
