﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="VISNFacilitySearch.aspx.cs" Inherits="Reports_VISNFacilitySearch" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server"></telerik:RadStyleSheetManager>

    <telerik:RadAjaxLoadingPanel runat="server" ID="RadAjaxLoadingPanel1"></telerik:RadAjaxLoadingPanel>

    <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" LoadingPanelID="RadAjaxLoadingPanel1" TabIndex="0">
        <table style="width: 100%;" cellpadding="10">
            <tr>
                <td style="vertical-align: top; width: 250px;">
                    <asp:Label ID="lblForFacility" AssociatedControlID="rcbInstitution" runat="server" Text="Select Facility: " TabIndex="0"></asp:Label><br />
                    <telerik:RadComboBox ID="rcbInstitution" runat="server" AllowCustomText="false" DataSourceID="ObjectDataSourceVISNStationOnlyList" AutoPostBack="true"
                        EmptyMessage="Search for Facility...." Width="200" Filter="Contains" EnableViewState="True" DataTextField="FullVISNName" OnSelectedIndexChanged="rcbInstitution_SelectedIndexChanged"
                        DataValueField="STATIONNUMBER" TabIndex="0" AccessibilityMode="true">
                        <DefaultItem Value="" Text=""></DefaultItem>
                    </telerik:RadComboBox>
                </td>
                <td style="vertical-align: top;">
                    <asp:Panel ID="pnlVisnResults" runat="server" Visible="false" TabIndex="0">
                        <asp:Label ID="lblForSearch" runat="server" Text="Search for Patient in this Facility" AssociatedControlID="rsbSearch" /><br />
                        <telerik:RadSearchBox ID="rsbSearch" runat="server" EmptyMessage="Enter Name, VA ID, or SSN" EnableAutoComplete="False" OnSearch="rsbSearch_Search" Width="250"></telerik:RadSearchBox>
                        <br />
                        <br />
                        <asp:Label ID="lblForFacilityName" runat="server" Text="Facility Name:" ToolTip="Facility Name" AssociatedControlID="lblFacName" TabIndex="0" /><br />
                        <asp:Label ID="lblFacName" runat="server" Text="" ReadOnly="true" TabIndex="0" /><br />
                        <br />
                        <asp:Label ID="lblForSta3n" runat="server" Text="Facility Code:" ToolTip="Facility Sta3n Name" AssociatedControlID="lblSta3n" TabIndex="0" /><br />
                        <asp:Label ID="lblSta3n" runat="server" Text="" ReadOnly="true" TabIndex="0" /><br />
                        <br />
                        <asp:Label ID="lblForVistaName" runat="server" Text="VISTA Name:" ToolTip="Facility Vista Name" AssociatedControlID="lblVistaName" TabIndex="0" /><br />
                        <asp:Label ID="lblVistaName" runat="server" Text="" ReadOnly="true" TabIndex="0" /><br />
                        <br />

                        <asp:Label ID="lblForVisnName" runat="server" Text="VISN:" ToolTip="VISN containing facility" AssociatedControlID="lblVisnName" TabIndex="0" />
                        <br />
                        <asp:Label ID="lblVisnName" runat="server" Text="" ReadOnly="true" TabIndex="0" /><br />
                        <br />

                        <asp:Label ID="lblForAddress" runat="server" Text="Address:" ToolTip="Facility Address" AssociatedControlID="lblAddressString" TabIndex="0" /><br />
                        <asp:Label ID="lblAddressString" runat="server" Text="" ReadOnly="true" TabIndex="0" /><br />
                        <br />
                        <asp:Label ID="lblForFacilityType" runat="server" Text="Facility Type:" ToolTip="Facility Type" AssociatedControlID="lblFacilityType" TabIndex="0" />
                        <br />
                        <asp:Label ID="lblFacilityType" runat="server" Text="" ReadOnly="true" TabIndex="0" /><br />
                        <br />
                    </asp:Panel>
                </td>
            </tr>
        </table>

        <asp:ObjectDataSource ID="ObjectDataSourceVISNStationOnlyList" runat="server" SelectMethod="GetVISNStationOnlyList"
            TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists"></asp:ObjectDataSource>
    </telerik:RadAjaxPanel>
</asp:Content>
