<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" 
    CodeFile="AdminEditSettings.aspx.cs" Inherits="AdminEditSettings" validateRequest="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">
    <div class = "excludeSaveWarnings">
       <asp:Label ID="LabelError" runat="server" Visible="false"></asp:Label>
    </div> 
    <asp:Panel ID="PanelSettings" runat="server">
    <p>
        <asp:GridView ID="GridViewSettings" runat="server" DataKeyNames="CRS_SETTINGS_ID"
            AutoGenerateColumns="False"  Caption="BCR Settings" 
            EmptyDataText="No Settings" onrowediting="GridViewSettings_RowEditing" 
            onrowdatabound="GridViewSettings_RowDataBound"  >
            <Columns>
                <asp:BoundField DataField="CRS_SETTINGS_ID" HeaderText="" Visible="false">
                </asp:BoundField>
                <asp:BoundField DataField="Name" HeaderText="Name" ItemStyle-Width="18px">
                    <ItemStyle Width="18px"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="Value" HeaderText="Value"  ItemStyle-Width="150px">
                    <ItemStyle Width="150px"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="Description" HeaderText="Description" ItemStyle-Width="250px">
                    <ItemStyle Width="250px"></ItemStyle>
                </asp:BoundField>
                <asp:BoundField DataField="Comments" HeaderText="Comments" ItemStyle-Width="250px">
                    <ItemStyle Width="250px"></ItemStyle>
                </asp:BoundField>
                <asp:CommandField ShowEditButton="true" EditText="Edit" 
                    ItemStyle-Width="50px" ItemStyle-HorizontalAlign="Center" >
                    <ItemStyle HorizontalAlign="Center" Width="50px"></ItemStyle>
                </asp:CommandField>
            </Columns>
        </asp:GridView>
        <br />
    </asp:Panel>
 
 
    <asp:Panel ID="PanelSettingInformation" runat="server" GroupingText="Setting Details" 
         Visible="false" Width="95%">
        <table>
            <tr>
                <td>
                    <asp:Label ID="LabelforTextBoxName" runat="server" AssociatedControlID="TextBoxName" TabIndex="10">Name:&nbsp;</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="TextBoxName" runat="server" width="800px"
                        MaxLength="2000" Enabled="false" />
                    &nbsp;
                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorTextBoxName" runat="server" 
                        ValidationGroup="OnSave" 
                        ControlToValidate="TextBoxName" 
                        ErrorMessage="Name is required"
                        TabIndex="12"  
                        SetFocusOnError="true">
                    </asp:RequiredFieldValidator>        
                </td>
            </tr>
            
            
            
            <tr>
                <td>
                    <asp:Label ID="LabelTextBoxValue" runat="server" AssociatedControlID="TextBoxValue" TabIndex="10">Value:&nbsp;</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="TextBoxValue" runat="server"  width="800px"
                        MaxLength="2000" />
                    &nbsp;
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                        ValidationGroup="OnSave" 
                        ControlToValidate="TextBoxValue" 
                        ErrorMessage="Value is required"
                        TabIndex="12"  
                        SetFocusOnError="true">
                    </asp:RequiredFieldValidator>        
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="LabelTextBoxDescription" runat="server" AssociatedControlID="TextBoxDescription" TabIndex="10">Description:&nbsp;</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="TextBoxDescription" runat="server"  width="800px"
                        MaxLength="2000" />
                    &nbsp;
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                        ValidationGroup="OnSave" 
                        ControlToValidate="TextBoxDescription" 
                        ErrorMessage="Description is required"
                        TabIndex="12"  
                        SetFocusOnError="true">
                    </asp:RequiredFieldValidator>        
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="LabelTextBoxComment" runat="server" AssociatedControlID="TextBoxComment" TabIndex="10">Comment:&nbsp;</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="TextBoxComment" runat="server"  width="800px"
                        MaxLength="2000" />
                    &nbsp;
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" 
                        ValidationGroup="OnSave" 
                        ControlToValidate="TextBoxComment" 
                        ErrorMessage="Comment is required"
                        TabIndex="12"  
                        SetFocusOnError="true">
                    </asp:RequiredFieldValidator>        
                </td>
            </tr>
       <tr><td>
            <br />
            <asp:Button ID="ButtonSave" runat="server" 
                TabIndex="37" 
                ValidationGroup="OnSave"
                onclick="ButtonSave_Click"  
                Text="  Save  " />
            &nbsp;&nbsp;
            <asp:Button ID="ButtonClose" runat="server" 
                onclick="ButtonClose_Click" 
                TabIndex="38" 
                 SkinID = "CloseButton" UseSubmitBehavior = "false"/>
            <br />
        </td></tr>
    </table>
        
        <asp:HiddenField ID="HiddenFieldUserID" runat="server" />
        <asp:HiddenField ID="HiddenFieldSettingId" runat="server" />
        <asp:HiddenField ID="HiddenFieldBreadCrumbBaseText" runat="server" />
        &nbsp;
    
    </asp:Panel>
 
     
        <asp:HiddenField ID="HiddenFieldRegistryName" runat="server" />
    </p>
</asp:Content>

