﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="AdminEditUsers.aspx.cs" Inherits="AdminEditUsers" %>
<%@ Register src="controls/ErrorList.ascx" tagname="ErrorList" tagprefix="uc1" %>
 
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>


<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">
<a href="content"></a>
    
    
    <asp:ValidationSummary ID="ValidationSummaryAdminEditUsers"  runat="server"
        TabIndex="1" 
        ValidationGroup="OnSave"
        HeaderText="The page has the following data errors:" 
        DisplayMode="BulletList" 
        ShowSummary="false" 
        ShowMessageBox="True" />
    <asp:Panel ID="PanelObjectContent" runat="server">
        <br /><uc1:ErrorList ID="ErrorList1" runat="server" />
        <asp:Panel ID="PanelNewUserSearchID" runat="server" GroupingText="Search NT Username" Width="95%">
        <br />
        <asp:Label ID="LabelSearchInstructions" runat="server" TabIndex="0">
            To add a new user, first search if the NT username exists in the Registries application:
        </asp:Label>
        <br /><br />
        <div class = "excludeSaveWarnings">
        <asp:Label ID="LabelforTextBoxSearchCriteria" runat="server" AssociatedControlID="TextBoxSearchCriteria" TabIndex="1">Search:</asp:Label>
        <asp:TextBox ID="TextBoxSearchCriteria" runat="server" 
            TabIndex="2" 
            Width="100">
        </asp:TextBox>
        &nbsp;
        <asp:Button ID="ButtonSearch" runat="server" Text=" Search " 
                onclick="ButtonSearch_Click" TabIndex="3" />
        &nbsp;
        <asp:Button ID="ButtonClear" runat="server" Text=" Clear " 
            onclick="ButtonClear_Click" TabIndex="4" />
        </div>
        <br />
        <br />
            <asp:Label ID="LabelUsernameExists" runat="server" Visible="false" TabIndex="5">
                You cannot add a new account with this NT username.<br />
                The following account has the NT username.  If you want to grant this account access to your registry click the "Add" button below.
                <br />
                <br />
            </asp:Label>
            <asp:GridView ID="GridViewUsers" runat="server" AllowPaging="True" 
                AllowSorting="True" AutoGenerateColumns="False" Caption="Users" 
                DataKeyNames="USER_ID" DataSourceID="" EmptyDataText="No Users"
                Visible="false" Width="90%" TabIndex="6">
                <Columns>
                    <asp:BoundField DataField="USER_ID" HeaderText="Id" 
                        SortExpression="USER_ID" />
                    <asp:BoundField DataField="USERNAME" HeaderText="NT Username" 
                        SortExpression="USERNAME" />
                    <asp:BoundField DataField="FULL_NAME" HeaderText="Name"  
                        SortExpression="LAST_NAME" />
                    <asp:BoundField DataField="EMAIL_ADDRESS" HeaderText="Email" 
                        SortExpression="EMAIL_ADDRESS" />
                </Columns>
            </asp:GridView>
            <br />
            <asp:Button ID="ButtonAddUser" runat="server" Text="  Add  " Visible="false" 
                onclick="ButtonAddUser_Click" TabIndex="7"/>
            <asp:Label ID="LabelUsernameIsInRegistry" runat="server" Visible="false" TabIndex="8">
                You cannot add this NT username.  An account with the NT username above is already a member of the registry.
                <br />
                <br />
            </asp:Label>
            <asp:Button ID="ButtonViewEditUser" runat="server" Text=" View / Edit User Account " 
                Visible="false" onclick="ButtonViewEditUser_Click" TabIndex="9" />
                <br />
            <asp:ObjectDataSource ID="ObjectDataSourceUsers" runat="server" 
                SelectMethod="SelectByUsername"
                TypeName="VeteransAffairs.Registries.BusinessManager.UsersManager">
                <SelectParameters>
                    <asp:ControlParameter ControlID="TextBoxSearchCriteria" DefaultValue="" 
                        Name="Username" PropertyName="Text" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
    </asp:Panel>
    <asp:Panel ID="PanelUserInformation" runat="server" GroupingText="Edit User Account Information" 
        Width="65%">
        <table>
            <tr>
                <td>
                    <asp:Label ID="LabelforTextBoxUsername" runat="server" AssociatedControlID="TextBoxUsername" TabIndex="10">NT Username:&nbsp;</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="TextBoxUsername" runat="server" 
                        TabIndex="11" 
                        MaxLength="30"  
                    />
                    &nbsp;
                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorTextBoxUsername" runat="server" 
                        ValidationGroup="OnSave" 
                        ControlToValidate="TextBoxUsername" 
                        ErrorMessage="Username is required"
                        TabIndex="12"  
                        SetFocusOnError="true">
                    </asp:RequiredFieldValidator>        
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="DomainLabel" runat="server" AssociatedControlID="TextBoxDomain" TabIndex="13">Domain:&nbsp;</asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="TextBoxDomain" runat="server" 
                        TabIndex="14" 
                        MaxLength="63"  
                    />
                    &nbsp;
                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorDomain" runat="server" 
                        ValidationGroup="OnSave" 
                        ControlToValidate="TextBoxDomain" 
                        ErrorMessage=" Domain is required"
                        TabIndex="15"  
                        SetFocusOnError="true">
                    </asp:RequiredFieldValidator>        
                </td>
            </tr>
        </table>
        <hr style="width:1" />
        
        <asp:Label ID="LabelforTextBoxFullName" runat="server" 
            AssociatedControlID="TextBoxFullName" TabIndex="16">Full Name:</asp:Label>
        <br />
                            
        <asp:TextBox ID="TextBoxFullName" runat="server" 
            MaxLength="100" 
            Text="" 
            Width="400px" TabIndex="17" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxFirstName" runat="server" 
            AssociatedControlID="TextBoxFirstName" TabIndex="18">First Name:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxFirstName" runat="server" 
            TabIndex="19" 
            MaxLength="30" 
            Text="" 
            Width="145px" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxMiddleName" runat="server" 
            AssociatedControlID="TextBoxMiddleName" TabIndex="20">Middle Name:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxMiddleName" runat="server" MaxLength="30" Text="" 
            Width="145px" TabIndex = "21" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxLastName" runat="server" 
            AssociatedControlID="TextBoxLastName" TabIndex="22">Last Name:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxLastName" runat="server" MaxLength="40" Text="" 
            Width="200px" TabIndex = "23" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxMaidenName" runat="server" 
            AssociatedControlID="TextBoxMaidenName" TabIndex="24">Maiden Name:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxMaidenName" runat="server" 
            TabIndex="25" 
            MaxLength="40" 
            Text="" 
            Width="200px" />
        <br />
        <hr style="width:1" />
        <asp:Label ID="LabelforTextBoxEmployeeNumber" runat="server" 
            AssociatedControlID="TextBoxEmployeeNumber" TabIndex="26">Employee Number:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxEmployeeNumber" runat="server" 
            TabIndex="27" 
            MaxLength="50" 
            Text="" 
            Width="200px" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxJobTitle" runat="server" 
            AssociatedControlID="TextBoxJobTitle" TabIndex="28">Job Title:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxJobTitle" runat="server" 
            TabIndex="29" 
            MaxLength="80" 
            Text="" 
            Width="400px" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxEmailAddress" runat="server" 
            AssociatedControlID="TextBoxEmailAddress" TabIndex="30">Email Address:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxEmailAddress" runat="server" 
            TabIndex="31" 
            MaxLength="128" 
            Text="" 
            Width="500px" />
        <asp:RegularExpressionValidator ID = "UserEMailValidator" runat = "server" 
            TabIndex="32" 
            SetFocusOnError="true"  
            ControlToValidate = "TextBoxEmailAddress"
            ErrorMessage = "Invalid e-mail" 
            ValidationExpression = "^\s*\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*\s*$" 
            ValidationGroup = "OnSave"></asp:RegularExpressionValidator>
        <br />
        <hr style="width:1" />
        <asp:Label ID="LabelforTextBoxTelephone" runat="server" 
            AssociatedControlID="TextBoxTelephone" TabIndex="33">Telephone:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxTelephone" runat="server" 
            TabIndex="34" 
            MaxLength="30" 
            Text="" 
            Width="145px" />
        <br />
        <br />
        <asp:Label ID="LabelforTextBoxFax" runat="server" 
            AssociatedControlID="TextBoxFax" TabIndex="35">Fax:</asp:Label>
                            
        <br />
        <asp:TextBox ID="TextBoxFax" runat="server" 
            TabIndex="36" 
            MaxLength="30" 
            Text="" 
            Width="145px" />
        <br />
        <br />
        <hr style="width:1" />
        <asp:Label ID="LabelCreatedByCaption" runat="server" 
            AssociatedControlID="LabelCreatedBy" SkinID="DataLabel">Created By:</asp:Label>
        <asp:Label ID="LabelCreatedBy" runat="server" SkinID="DataLabel"></asp:Label>
        <asp:Label ID="LabelCreatedOnCaption" runat="server" 
            AssociatedControlID="LabelCreatedOn" SkinID="DataLabel">&nbsp;&nbsp; Created On:</asp:Label>
        <asp:Label ID="LabelCreatedOn" runat="server" SkinID="DataLabel"></asp:Label>
        <br />
        <asp:Label ID="LabelUpdatedByCaption" runat="server" 
            AssociatedControlID="LabelUpdatedBy" SkinID="DataLabel">Updated By:</asp:Label>
        <asp:Label ID="LabelUpdatedBy" runat="server" SkinID="DataLabel"></asp:Label>
        <asp:Label ID="LabelUpdatedOnCaption" runat="server" 
            AssociatedControlID="LabelUpdatedOn" SkinID="DataLabel">&nbsp;&nbsp; Updated On:</asp:Label>
        <asp:Label ID="LabelUpdatedOn" runat="server" Text=""></asp:Label>
        <br />
        <asp:HiddenField ID="HiddenFieldUserID" runat="server" />
        <asp:HiddenField ID="HiddenFieldInsertingNewUser" runat="server" />
        <asp:HiddenField ID="HiddenFieldSelectedUsername" runat="server" />
        <asp:HiddenField ID="HiddenFieldBreadCrumbBaseText" runat="server" />
        &nbsp;</asp:Panel>
    <br />
    <asp:Button ID="ButtonSave" runat="server" 
        TabIndex="37" 
        ValidationGroup="OnSave"
        onclick="ButtonSave_Click"  
        Text="  Save  " />
    &nbsp;&nbsp;
    <asp:Button ID="ButtonClose" runat="server" 
        onclick="ButtonClose_Click"  Text=" Close "
        TabIndex="38" 
         SkinID = "CloseButton" UseSubmitBehavior = "false"/>
    <br />
</asp:Panel>
    <asp:Panel ID="PanelNoAccess" runat="server" Visible="false">
            You do not have access to the user id supplied.
            <br /><br />
            Please contact the Registry Manager to grant access or verify that your permissions are correct.
    </asp:Panel>
    <asp:Panel ID="PanelIdNotFound" runat="server" Visible="false">
            No record found for the user ID supplied.
            <br />
            <br />
            If you tried accessing using a link within an email or typed the link in the browser, please check the link to ensure you have supplied a correct id.
    </asp:Panel>      
</asp:Content>



