﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MammogramsByDiagnosis_PD.ascx.cs" Inherits="Reports_Controls_MammogramsByDiagnosis_PD" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<table id="Table3" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
    style="table-layout: fixed; margin-left: 15px;">

    <tr class="EditFormHeader">
        <td>
            <b>Provider:</b>
        </td>
    </tr>
    <tr>
        <td>
            <table id="Table4" cellspacing="2" cellpadding="1" border="0" rules="none"
                style="table-layout: fixed; margin-left: 15px; margin-top:5px">

                <tr>
                    <td>
                        <asp:Label ID="Label2" runat="server" Text="PACT Team:" Font-Bold="false" AssociatedControlID="tbName" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbName" Text='<%# DataBinder.Eval( Container, "DataItem.team_name" ) %>'
                            runat="server" TabIndex="101" ReadOnly="true" style="border:none">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="Label3" runat="server" Text="Provider Name:" Font-Bold="false" AssociatedControlID="tbProviderName" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbProviderName" Text='<%# DataBinder.Eval( Container, "DataItem.primary_care_physician" ) %>'
                            runat="server" TabIndex="102" ReadOnly="true" style="border:none">
                        </asp:TextBox>
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:Label ID="Label1" runat="server" Text="Provider Location:" Font-Bold="false" AssociatedControlID="tbProviderZip" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbProviderZip" Text='<%# DataBinder.Eval( Container, "DataItem.procedure_location" ) %>'
                            runat="server" TabIndex="103" ReadOnly="true" style="border:none">
                        </asp:TextBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>

    <tr class="EditFormHeader">
        <td>
            <b>Patient:</b>
        </td>
    </tr>
    <tr>
        <td>
            <table id="Table5" cellspacing="2" cellpadding="1" border="0" rules="none"
                style="table-layout: fixed; margin-left: 15px; margin-top:5px">

                <tr>
                    <td>
                        <asp:Label ID="Label4" runat="server" Text="Patient Name:" Font-Bold="false" AssociatedControlID="tbPatientName" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbPatientName" Text='<%# DataBinder.Eval( Container, "DataItem.Patient_name" ) %>'
                            runat="server" TabIndex="104" ReadOnly="true" style="border:none" Width="635px">
                        </asp:TextBox>
                    </td>

                    <td>&nbsp;</td>
                    
                    <td>
                        <asp:Label ID="Label6" runat="server" Text="Patient Age:" Font-Bold="false" AssociatedControlID="tbPatientAge" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbPatientAge" Text='<%# DataBinder.Eval( Container, "DataItem.age" ) %>'
                            runat="server" TabIndex="105" ReadOnly="true" style="border:none" Width="50px">
                        </asp:TextBox>
                    </td>

                    <td>&nbsp;</td>
                    
                    <td>
                        <asp:Label ID="Label7" runat="server" Text="Patient Race:" Font-Bold="false" AssociatedControlID="tbPatientRace" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbPatientRace" Text='<%# DataBinder.Eval( Container, "DataItem.race" ) %>'
                            runat="server" TabIndex="106" ReadOnly="true" style="border:none" Width="300px">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="Label5" runat="server" Text="Patient Last 4:" Font-Bold="false" AssociatedControlID="tbPatientSSN" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbPatientSSN" Text='<%# DataBinder.Eval( Container, "DataItem.Patient_SSN" ) %>'
                            runat="server" TabIndex="107" ReadOnly="true" style="border:none">
                        </asp:TextBox>
                    </td>

                    <td>&nbsp;</td>
                    
                    <td>
                        <asp:Label ID="Label8" runat="server" Text="Patient Gender:" Font-Bold="false" AssociatedControlID="tbPatientGender" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbPatientGender" Text='<%# DataBinder.Eval( Container, "DataItem.Gender" ) %>'
                            runat="server" TabIndex="108" ReadOnly="true" style="border:none" Width="50px">
                        </asp:TextBox>
                    </td>

                    <td>&nbsp;</td>
                    
                    <td>
                        <asp:Label ID="Label9" runat="server" Text="Date of Death:" Font-Bold="false" AssociatedControlID="tbPatientDoD" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbPatientDoD" Text='<%# DataBinder.Eval( Container, "DataItem.Date_Of_Death", "{0:M/d/yyyy}" ) %>'
                            runat="server" TabIndex="109" ReadOnly="true" style="border:none">
                        </asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="Label16" runat="server" Text="Patient Zip:" Font-Bold="false" AssociatedControlID="tbPatientZip" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbPatientZip" Text='<%# DataBinder.Eval( Container, "DataItem.patient_zip" ) %>'
                            runat="server" TabIndex="110" ReadOnly="true" style="border:none">
                        </asp:TextBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>    

    <tr class="EditFormHeader">
        <td>
            <b>Mammogram Dates:</b>
        </td>
    </tr>
    <tr>
        <td>
            <table id="Table6" cellspacing="2" cellpadding="1" border="0" rules="none"
                style="table-layout: fixed; margin-left: 15px; margin-top:5px">

                <tr>
                    <td>
                        <asp:Label ID="Label10" runat="server" Text="Date Ordered:" Font-Bold="false" AssociatedControlID="tbDateOrdered" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbDateOrdered" Text='<%# DataBinder.Eval( Container, "DataItem.Date_Ordered", "{0:M/d/yyyy}" ) %>'
                            runat="server" TabIndex="111" ReadOnly="true" style="border:none">
                        </asp:TextBox>
                    </td>

                    <td>&nbsp;</td>
                    
                    <td>
                        <asp:Label ID="Label11" runat="server" Text="Date Scheduled:" Font-Bold="false" AssociatedControlID="tbDateScheduled" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbDateScheduled" Text='<%# DataBinder.Eval( Container, "DataItem.Date_Scheduled", "{0:M/d/yyyy}" ) %>'
                            runat="server" TabIndex="112" ReadOnly="true" style="border:none">
                        </asp:TextBox>
                    </td>

                    <td>&nbsp;</td>
                    
                    <td>
                        <asp:Label ID="Label12" runat="server" Text="Date Completed:" Font-Bold="false" AssociatedControlID="tbDateCompleted" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbDateCompleted" Text='<%# DataBinder.Eval( Container, "DataItem.Completed", "{0:M/d/yyyy}" ) %>'
                            runat="server" TabIndex="113" ReadOnly="true" style="border:none">
                        </asp:TextBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>

    <tr class="EditFormHeader">
        <td>
            <b>Codes:</b>
        </td>
    </tr>
    <tr>
        <td>
            <table id="Table7" cellspacing="2" cellpadding="1" border="0" rules="none"
                style="table-layout: fixed; margin-left: 15px; margin-top:5px">

                <tr>
                    <td>
                        <asp:Label ID="Label13" runat="server" Text="BI-RADS Code:" Font-Bold="false" AssociatedControlID="tbBiRads" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:TextBox ID="tbBiRads" Text='<%# DataBinder.Eval( Container, "DataItem.BiRad_Code" ) %>'
                            runat="server" TabIndex="114" ReadOnly="true" style="border:none">
                        </asp:TextBox>
                    </td>
                </tr>

                <tr>
                    <td>
                        <asp:Label ID="Label14" runat="server" Text="ICD 9/10 Codes:" Font-Bold="false" AssociatedControlID="tbIcdCodes" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:Label ID="tbIcdCodes" Text='<%# configureLinkText("MBD_","Diagnosis", DataBinder.Eval(Container, "DataItem.Diagnosis").ToString()) %>'
                            runat="server" TabIndex="115" ReadOnly="true"  style="border:none">
                        </asp:Label>
                    </td>
                </tr>

                <tr>
                    <td>
                        <asp:Label ID="Label15" runat="server" Text="CPT Codes:" Font-Bold="false" AssociatedControlID="tbCptCodes" />
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        <asp:Label ID="tbCptCodes" Text='<%# configureLinkText("MBD_","CPT_Codes", DataBinder.Eval(Container, "DataItem.CPT_Codes").ToString()) %>'
                            runat="server" TabIndex="116" ReadOnly="true"  style="border:none">
                        </asp:Label>
                    </td>
                </tr>
            </table>
        </td>
    </tr>

</table>

<table id="Table2" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
    style="table-layout: fixed; margin-left: 15px;">
    <!-- Done button -->
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td align="center" colspan="2">
            <asp:Button ID="btnCancel" Text="Done" runat="server" CausesValidation="False"
                CommandName="Cancel"></asp:Button>
        </td>
    </tr>
    <tr>
        <td>&nbsp;</td>
    </tr>
</table>
