﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="MammosDue_Std_Rpt.aspx.cs" Inherits="Reports_MammosDue_Std_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <link href="../scripts/jQueryUI/jquery-ui.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.structure.css" rel="stylesheet" />
    <link href="../scripts/jQueryUI/jquery-ui.theme.css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            $(function () {
                $("#dialog").dialog(
                    {
                        autoOpen: false,
                        height: 300,
                        width: 350,
                        modal: true
                    });

                $('#txtCustomName').on('keypress', function (event) {
                    var regex = new RegExp("^[a-zA-Z0-9_ -]+$");
                    var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
                    if (!regex.test(key)) {
                        event.preventDefault();
                        return false;
                    }
                });
            });

            function getCustomReportName(uniqueID) {
                $('#dialog').dialog('option', 'buttons',
                {
                    "OK": function () {
                        $("#<%=hfCustomReportName.ClientID%>").val($("#txtCustomName").val());

                        __doPostBack(uniqueID, '');
                        $(this).dialog("close");

                        $("#txtCustomName").val('<%=reportName%>');
                    },
                    "Cancel": function () { $(this).dialog("close"); }
                });

                $('#dialog').dialog('open');

                return false;
            }

            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }

            function OnClientClicking(button, args) {
                window.location = button.get_navigateUrl();
                args.set_cancel(true);
            }

            // Date Functions
            function startDateSelected(sender, e) {
                try {
                    var endDate = $find("<%=rdpEndDate.ClientID%>");

                    if (e.get_newDate() != null) {
                        //alert("OnDateSelected: " + e.get_newDate().toDateString() + " selected in " + sender.get_id() + "<br />");
                        // set end Date min to this value
                        endDate.set_minDate(e.get_newDate());

                        if (endDate.get_selectedDate() < e.get_newDate()) {
                            endDate.set_selectedDate(e.get_newDate());
                        }
                    }
                    else {
                        //alert("OnDateSelected: Date cleared in " + sender.get_id() + "<br />");
                    }
                }
                catch (ex) {
                    // doesn't have e.get_newDate()
                }
            }

            function endDateSelected(sender, e) {
                // find the start date ... ensure it is selected
                var startDate = $find("<%=rdpStartDate.ClientID%>");

                var selectedDate = startDate.get_selectedDate();

                if (selectedDate == null) {
                    alert("Start Date must be selected first!");
                    return false;
                }
            }

            function validatePage(sender, args) {
                try {
                    if (Page_ClientValidate("FilterValidation")) { //validate using above validation controls group
                        //validation return true section
                        ShowProgress();
                    }
                    else {
                        //validation return false section
                        $find("<%=RadNotification1.ClientID %>").show();
                        args.set_cancel(true);
                    }
                } catch (ex) {
                    ShowProgress();
                }
            }

            function endDateError(sender, args) {
                var startDate = $find("<%=rdpStartDate.ClientID%>");
                var endDate = $find("<%=rdpEndDate.ClientID%>");

                var selectedStartDate = startDate.get_selectedDate();

                endDate.set_selectedDate(selectedStartDate);
                alert("End date must be after Start Date");
            }
        </script>
    </telerik:RadCodeBlock>
    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 250px; vertical-align: top; background-color: #F5F5F5;">
                <!--Start Filters-->
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <h2>Search Filters:</h2>
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportTop" runat="server" Enabled="false" Text="Run Report" OnClick="btnRunReport_Click" TabIndex="0" OnClientClicking="validatePage" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportTop" runat="server" Text="Reset" OnClick="btnClearReport_Click" TabIndex="0" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />

                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" TabIndex="0" EnableAriaSupport="true" ToolTip="VISN Selection"
                        AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" OnClientSelectedIndexChanged="ShowProgress" />
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblFac" Text="Select Station / Healthcare System:" AssociatedControlID="rcbFac" /><br />
                    <telerik:RadComboBox ID="rcbFac" runat="server" Width="100%" TabIndex="0" EnableAriaSupport="true" ToolTip="Station Selection"
                        AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged" OnClientSelectedIndexChanged="ShowProgress" Enabled="false" />
                    <br />
                    <br />

                    <asp:Label ID="lblForPACTTeamList" AssociatedControlID="rcbPACTTeamsForFacility" runat="server" Text="Select/Search for PACT Team: " TabIndex="0"></asp:Label>
                    <br />
                    <telerik:RadComboBox ID="rcbPACTTeamsForFacility" runat="server" AllowCustomText="false" Enabled="false" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" AccessKey="T"
                        EmptyMessage="All (open list or type select filter)" Width="100%" Filter="Contains" EnableViewState="True" DataTextField="PCMMTeam" ToolTip="Search for PACT Team" ChangeTextOnKeyBoardNavigation="true" EnableVirtualScrolling="true"
                        DataValueField="PCMMTeamSID" TabIndex="0">
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <%--<asp:Label runat="server" ID="lblDateRangeSelection" Text="Date Range:" AssociatedControlID="rcbDateRangeSelection" /><br />
                    <telerik:RadComboBox ID="rcbDateRangeSelection" runat="server" TabIndex="0" Width="100%" AutoPostBack="true" OnClientSelectedIndexChanged="ShowProgress" OnSelectedIndexChanged="rcbDateRangeSelection_SelectedIndexChanged">
                        <Items>
                            <telerik:RadComboBoxItem Text="Overdue (60+ Days)" Value="overdueOver60" Selected="true" />
                            <telerik:RadComboBoxItem Text="Overdue (0 - 60 Days)" Value="overdueLessThan60" />
                            <telerik:RadComboBoxItem Text="Custom Date Range" Value="custom" />
                        </Items>
                    </telerik:RadComboBox>

                    <br />
                    <br />
                    <div style="padding: 4px;">
                        <asp:Panel ID="pnlCustomDateRanges" runat="server" Visible="false" GroupingText="Custom Date Ranges ">

                            <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" Width="100%" TabIndex="0" ShowPopupOnFocus="true" ClientEvents-OnDateSelected="startDateSelected">
                                <Calendar ID="calStartDate" runat="server" EnableKeyboardNavigation="true"></Calendar>
                                <DateInput ID="DateInputStartDate" ToolTip="Start Date Input" runat="server" Label="Start Date: "></DateInput>
                            </telerik:RadDatePicker>
                            <asp:RequiredFieldValidator runat="server" ID="rfvStartDate" ValidationGroup="FilterValidation" ControlToValidate="rdpStartDate" Enabled="false" Display="Dynamic" ErrorMessage="* Start Date is required for custom range"></asp:RequiredFieldValidator>
                            <br />
                            <br />

                            <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="0" Width="100%" ShowPopupOnFocus="true" ClientEvents-OnDateSelected="endDateSelected">
                                <Calendar ID="calEndDate" runat="server" EnableKeyboardNavigation="true"></Calendar>
                                <DateInput ID="DateInputEndDate" ToolTip="End Date Input" runat="server" Label="End Date: "></DateInput>
                            </telerik:RadDatePicker>
                            <asp:RequiredFieldValidator runat="server" ID="rfvEndDate" ControlToValidate="rdpEndDate" ValidationGroup="FilterValidation" Enabled="false" Display="Dynamic" ErrorMessage="* End Date is required for custom range"></asp:RequiredFieldValidator>
                            <br />
                            <br />
                        </asp:Panel>
                    </div>--%>

                    <asp:Label runat="server" ID="lblDateRange" Text="Due In:" AssociatedControlID="rcbDateRange" /><br />
                    <telerik:RadComboBox ID="rcbDateRange" runat="server" TabIndex="0" Width="100%" AutoPostBack="true" OnSelectedIndexChanged="rcbDateRange_SelectedIndexChanged" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="Current" Value="due" Selected="true" />
                            <%--<telerik:RadComboBoxItem Text="In the Next Week" Value="1week" />
                            <telerik:RadComboBoxItem Text="In the Next 2 Weeks" Value="2week" />--%>
                            <telerik:RadComboBoxItem Text="In the Next Month" Value="1month" />
                            <telerik:RadComboBoxItem Text="In the Next 2 Months" Value="2month" />
                            <telerik:RadComboBoxItem Text="In the Next 3 Months" Value="3month" />
                            <telerik:RadComboBoxItem Text="Custom Date Range" Value="custom" />
                            <%--<telerik:RadComboBoxItem Text="In the Next 6 Months" Value="6month" />
                            <telerik:RadComboBoxItem Text="In the Next Year" Value="1year" />--%>
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />
                    <div style="padding: 4px;">
                        <asp:Panel ID="pnlCustomDateRanges" runat="server" Visible="false" GroupingText="Custom Date Ranges ">

                            <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" Width="100%" TabIndex="0" ShowPopupOnFocus="false" ClientEvents-OnDateSelected="startDateSelected" AccessKey="D">
                                <Calendar ID="calStartDate" runat="server" EnableKeyboardNavigation="true"></Calendar>
                                <DateInput ID="DateInputStartDate" runat="server" Label="Start Date: "></DateInput>
                            </telerik:RadDatePicker>
                            <asp:RequiredFieldValidator runat="server" ID="rfvStartDate" ValidationGroup="FilterValidation" ControlToValidate="rdpStartDate" Enabled="false" Display="Dynamic" ErrorMessage="* Start Date is required for custom range"></asp:RequiredFieldValidator>
                            <br />
                            <br />

                            <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="0" Width="100%" ShowPopupOnFocus="false" ClientEvents-OnDateSelected="endDateSelected" DateInput-ClientEvents-OnError="endDateError" AccessKey="E">
                                <Calendar ID="calEndDate" runat="server" EnableKeyboardNavigation="true"></Calendar>
                                <DateInput ID="DateInputEndDate" runat="server" Label="End Date: "></DateInput>
                            </telerik:RadDatePicker>
                            <asp:RequiredFieldValidator runat="server" ID="rfvEndDate" ControlToValidate="rdpEndDate" ValidationGroup="FilterValidation" Enabled="false" Display="Dynamic" ErrorMessage="* End Date is required for custom range"></asp:RequiredFieldValidator>
                            <br />
                            <br />
                        </asp:Panel>
                    </div>

                    <asp:Label runat="server" ID="lblForAgeRestriction" Text="Age Restriction:" AssociatedControlID="rddlAgeRestriction" />
                    <br />
                    <telerik:RadComboBox ID="rddlAgeRestriction" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="0-30" Value="0-30" />
                            <telerik:RadComboBoxItem Text="31-40" Value="31-40" />
                            <telerik:RadComboBoxItem Text="41-50" Value="41-50" />
                            <telerik:RadComboBoxItem Text="51-60" Value="51-60" />
                            <telerik:RadComboBoxItem Text="61-64" Value="61-64" />
                            <telerik:RadComboBoxItem Text="65-74" Value="65-74" />
                            <telerik:RadComboBoxItem Text="Over 74" Value="Over 74" />
                        </Items>
                    </telerik:RadComboBox>

                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblMammogramType" Text="Mammogram Type:" AssociatedControlID="rddlMammogramType" ToolTip="Diagnostic versus Screening" />
                    <br />
                    <telerik:RadComboBox ID="rddlMammogramType" runat="server" TabIndex="0" Width="100%" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="Screening" Value="screening" />
                            <telerik:RadComboBoxItem Text="Diagnostic" Value="diagnostic" />
                            <telerik:RadComboBoxItem Text="Undetermined" Value="undetermined" />
                        </Items>
                    </telerik:RadComboBox>

                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblPatientName" Text="Patient Name (contains):" AssociatedControlID="rtbPatientName" />
                    <br />
                    <telerik:RadTextBox ID="rtbPatientName" runat="server" TextMode="SingleLine" Width="100%" TabIndex="0" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblGender" Text="Gender:" AssociatedControlID="rcbGender" />
                    <br />
                    <telerik:RadComboBox ID="rcbGender" runat="server" Width="100%" TabIndex="0" AccessibilityMode="true">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="F" Value="F" />
                            <telerik:RadComboBoxItem Text="M" Value="M" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblProviderName" Text="Provider Name (contains):" AssociatedControlID="rtbProviderName" />
                    <br />
                    <telerik:RadTextBox ID="rtbProviderName" runat="server" TextMode="SingleLine" Width="100%" TabIndex="0" />
                    <br />
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReportBottom" runat="server" Enabled="false" Text="Run Report" TabIndex="0" OnClick="btnRunReport_Click" OnClientClicking="validatePage" />
                            </td>
                            <td style="padding-right: 5px;">
                                <telerik:RadButton ID="btnClearReportBottom" runat="server" Text="Reset" TabIndex="0" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <table style="width:100%;">
                    <tr>
                        <td style="width:50%; text-align:left; vertical-align:top;">** MMG = Mammogram</td>
                        <td style="width:50%; text-align:right; vertical-align:top;">
                            Data Last Refreshed: <asp:Label ID="lblLastRefreshDate" runat="server" Text="" />
                        </td>
                    </tr>
                </table>

                <asp:HiddenField ID="hfCustomReportName" runat="server" />

                <div style="text-align: right; font-size: 10pt;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" Font-Size="10pt" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" Font-Size="10pt" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" OnClientClick="return getCustomReportName(this.name);" OnClick="btnExport_Click" TabIndex="0" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgMammosDueOrderedPending" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true"
                    TabIndex="0" OnNeedDataSource="rgMammosDueOrderedPending_NeedDataSource" OnItemDataBound="rgMammosDueOrderedPending_ItemDataBound"
                    OnItemCreated="rgMammosDueOrderedPending_ItemCreated" OnSortCommand="rgMammosDueOrderedPending_SortCommand" OnPageIndexChanged="rgMammosDueOrderedPending_PageIndexChanged">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID" AllowMultiColumnSorting="false" AllowCustomSorting="true"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None" PagerStyle-AlwaysVisible="true"
                        TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true" ShowFooter="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label></td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="Patient_Name" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                            <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                            <telerik:GridColumnGroup HeaderText="Mammogram" Name="mam_due" />
                            <telerik:GridColumnGroup HeaderText="Orders" Name="ordered" />
                            <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridTemplateColumn DataField="PatientSID" UniqueName="PatientSID" HeaderText="Details" HeaderTooltip="Click for More Details"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="false" Exportable="false" ShowSortIcon="false" ShowFilterIcon="false">
                                <ItemTemplate>
                                    <a href="PatientDetails.aspx?id=<%# DataBinder.Eval(Container, "DataItem.PatientSID")%>" title="Click for patient details for <%# DataBinder.Eval(Container, "DataItem.Patient_Name")%>">Details</a>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="PCMMTeam" UniqueName="team_name_Report" HeaderText="PACT Team" HeaderTooltip="PACT Team Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="PCMMStaffName" UniqueName="ProviderName_Report" HeaderText="Provider Name" HeaderTooltip="Provider Name Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" EmptyDataText="Unassigned Provider" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name_Report" HeaderText="Last Name, First" HeaderTooltip="Patient Name Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="VAID" UniqueName="VAID_Report" HeaderText="VAID" HeaderTooltip="VAID" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />
                            

                            <telerik:GridBoundColumn DataField="DateOfMostRecentMammogram" UniqueName="DateOfMostRecentMammogram_Report" HeaderText="Last MMG Date" HeaderTooltip="Last Mammogram Date Column"
                                ColumnGroupName="mam_due" HeaderButtonType="None" DataFormatString="{0:MM/dd/yyyy hh:mm tt}" AllowFiltering="false" Exportable="true" />

                            <%--<telerik:GridBoundColumn DataField="BIRADScore" UniqueName="BIRADScore_Report" HeaderText="BI-RADS Code" HeaderTooltip="BI-RADS Code Column" ColumnGroupName="mam_due"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" EmptyDataText="--" />--%>
                            <telerik:GridTemplateColumn DataField="BIRADScore" UniqueName="BIRADScoreReport" HeaderText="BI-RADS Code" HeaderTooltip="BI-RADS Code Column" ColumnGroupName="mam_due"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" SortExpression="BIRADScore">
                                <ItemTemplate>
                                    <%#GetBiradScore(Eval("BIRADScore"), Eval("MostRecentMammogramSource")) %>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="DateNextMammogramDue" UniqueName="DateNextMammogramDue_Report" HeaderText="Next MMG Due" HeaderTooltip="Next Mammogram Due Column" ColumnGroupName="mam_due"
                                HeaderButtonType="None" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" Exportable="true" />

                            <telerik:GridBoundColumn DataField="IsRoutine" UniqueName="IsRoutine_Report" HeaderText="MMG Type" HeaderTooltip="Mammogram Type (Screening, Diagnostic)" ColumnGroupName="mam_due"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />


                            <telerik:GridTemplateColumn DataField="OrderFinalStatus" UniqueName="OrderFinalStatus_Report" SortExpression="OrderFinalStatus" HeaderText="Order Information" HeaderTooltip="Order Information"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ColumnGroupName="ordered">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.OrderFinalStatus")%>
                                    <%# Convert.ToInt32(DataBinder.Eval(Container, "DataItem.OrderOverdue")) == 1 ? "<br /><strong>Overdue</strong>" : null %>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>


                            <telerik:GridBoundColumn DataField="age" UniqueName="age_Report" HeaderText="Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="gender" UniqueName="gender_Report" HeaderText="Gender" HeaderTooltip="Gender Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Race" UniqueName="Race_Report" HeaderText="Race" HeaderTooltip="Race Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Zip" UniqueName="Zip_Report" HeaderText="Zip" HeaderTooltip="Zip Column" ColumnGroupName="demo"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridTemplateColumn DataField="PhoneResidence" UniqueName="PhoneResidence_Report" HeaderText="Phone Numbers" HeaderTooltip="Available Patient Phone Numbers"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="false" Exportable="true" ShowSortIcon="false" ShowFilterIcon="false" ColumnGroupName="demo">
                                <HeaderTemplate>
                                    Phone Numbers
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <%# !String.IsNullOrEmpty(DataBinder.Eval(Container, "DataItem.PhoneResidence").ToString()) ? "Home: " + DataBinder.Eval(Container, "DataItem.PhoneResidence") + "<br />" : "" %>
                                    <%# !String.IsNullOrEmpty(DataBinder.Eval(Container, "DataItem.PhoneWork").ToString()) ? "Work: " + DataBinder.Eval(Container, "DataItem.PhoneWork") + "<br />" : "" %>
                                    <%# !String.IsNullOrEmpty(DataBinder.Eval(Container, "DataItem.PhoneCellular").ToString()) ? "Cell: " + DataBinder.Eval(Container, "DataItem.PhoneCellular") + "<br />" : "" %>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <ClientEvents OnCommand="ShowProgress" />
                    </ClientSettings>
                </telerik:RadGrid>
                <!--End Grid-->
            </td>
        </tr>
    </table>

    <telerik:RadNotification ID="RadNotification1" runat="server" Width="300" Animation="Slide" EnableRoundedCorners="true" EnableShadow="true" LoadContentOn="PageLoad" Title="Validation errors"
        TitleIcon="warning" AutoCloseDelay="PORT" Position="Center">
        <ContentTemplate>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="FilterValidation" />
        </ContentTemplate>
    </telerik:RadNotification>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" alt="Loading Image" />
    </div>

    <div id="dialog" title="Enter Custom Name for Report:">
        <p>
            Please enter a custom name for report or leave default:<br />
            <input type="text" id="txtCustomName" value="<%=reportName%>" style="width:100%;" />
        </p>
    </div>
</asp:Content>