﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="PatientSearchResults.aspx.cs" Inherits="Reports_PatientSearchResults" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">

    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rgSearchResults">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgSearchResults" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="Office2010Blue" />

    Patients Search Results<br />
    <!--Start Grid-->
    <telerik:RadGrid ID="rgSearchResults" runat="server" EnableLinqExpressions="False" ShowStatusBar="True" TabIndex="0" OnNeedDataSource="rgSearchResults_NeedDataSource" 
        OnItemCommand="rgSearchResults_ItemCommand" GroupPanelPosition="Top" AllowPaging="True" AllowSorting="True" Skin="WebBlue">
        <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
            AllowFilteringByColumn="false" CommandItemDisplay="None" PagerStyle-AlwaysVisible="true"
            TabIndex="0" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true" AllowCustomSorting="false">
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                Either no results were found with the selected parameters or the initial search has not been performed yet. 
                            </asp:Label></td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <SortExpressions>
                <telerik:GridSortExpression FieldName="Patient_Name" SortOrder="Ascending" />
            </SortExpressions>
            <Columns>
                <telerik:GridButtonColumn CommandName="Details" ButtonType="PushButton" Text="Select" HeaderText="Select"></telerik:GridButtonColumn>
                <telerik:GridBoundColumn DataField="VAID" UniqueName="VAID_Report" HeaderText="VAID" HeaderTooltip="VAID Column" HeaderButtonType="None" AllowFiltering="false" Exportable="true" />
                <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name_Report" HeaderText="Patient Name" HeaderTooltip="Patient Name Column" HeaderButtonType="None" AllowFiltering="false" Exportable="true" />
                <telerik:GridBoundColumn DataField="Sta3n" UniqueName="Sta3n_Report" HeaderText="Facility" HeaderTooltip="Facility Code Column" HeaderButtonType="None" AllowFiltering="false" Exportable="true" />
            </Columns>
            <EditFormSettings UserControlName="./controls/AllMammogramsDue_PD.ascx" EditFormType="WebUserControl" CaptionFormatString="Details">
                <EditColumn UniqueName="EditCommandColumn1">
                </EditColumn>
            </EditFormSettings>
            <PagerStyle AlwaysVisible="True"></PagerStyle>
        </MasterTableView>
        <ClientSettings AllowKeyboardNavigation="true">
            <Selecting AllowRowSelect="true" />
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
        </ClientSettings>
        <FilterMenu OnClientShowing="MenuShowing" />
        <PagerStyle Mode="NextPrevAndNumeric" />
    </telerik:RadGrid>
    <!--End Grid-->
</asp:Content>
