﻿using System;
using System.Configuration;
using System.IO;
using VeteransAffairs.Registries.BusinessManager;

public partial class SystemCheck : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RegistriesCommonManager manager = new RegistriesCommonManager();

        LabelBuildVersion.Text = "CRS Build Version: " + manager.GetBuildVersion() +
            "<br />BCR Build Version: " + ConfigurationManager.AppSettings["BCR_VERSION"].ToString() + "<br />Build Date Time: " + GetBuildDateTime();
    }

    private string GetBuildDateTime()
    {
        string buildDate = string.Empty;
        FileInfo file = new FileInfo(Request.PhysicalApplicationPath + "\\bin\\App_Code.dll");

        if (file.Exists)
        {
            buildDate = file.LastWriteTime.ToString(); ;
        }

        return buildDate;
    }

}
